Zoznam odberateľov
GET
/api/v1/customers Vracia stránkovaný zoznam odberateľov dodávateľa zdrojov, voliteľne filtrovaný podľa dodávateľa zdrojov.
Parametre dopytu
energy_id integer Identifikátor dodávateľa zdrojov. Voliteľný — zužuje výber.
page integer Číslo stránky.
Polia odpovede
| Atribút | Popis |
|---|---|
id | Identifikátor (jedinečný kľúč) odberateľa v systéme |
name | Názov odberateľa |
subdivision_type_name | Typ odberateľa |
inn | Daňové identifikačné číslo odberateľa (IČ DPH) |
contact_number | Kontaktné číslo |
data | Pole vrátených údajov |
total_pages | Celkový počet stránok vo vrátenej množine |
current_page | Aktuálna stránka |
next_page | Ďalšia stránka dostupná na načítanie, null, ak je aktuálna stránka posledná |
Požiadavka
bash
curl -i \
--header "access-token: *********************" \
--header "token-type: Bearer" \
--header "client: **********************" \
--header "uid: api-user@example.com" \
--header "Content-Type: application/json" \
--request GET \
"https://api.vadsro.eu/api/v1/customers?energy_id=1&page=1"js
const res = await fetch('https://api.vadsro.eu/api/v1/customers?energy_id=1&page=1', {
headers: {
'access-token': '*********************',
'token-type': 'Bearer',
client: '**********************',
uid: 'api-user@example.com',
'Content-Type': 'application/json',
},
});
const data = await res.json();python
import requests
res = requests.get(
"https://api.vadsro.eu/api/v1/customers",
params={"energy_id": 1, "page": 1},
headers={
"access-token": "*********************",
"token-type": "Bearer",
"client": "**********************",
"uid": "api-user@example.com",
"Content-Type": "application/json",
},
)
data = res.json()go
req, _ := http.NewRequest("GET", "https://api.vadsro.eu/api/v1/customers?energy_id=1&page=1", nil)
req.Header.Set("access-token", "*********************")
req.Header.Set("token-type", "Bearer")
req.Header.Set("client", "**********************")
req.Header.Set("uid", "api-user@example.com")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)php
$ch = curl_init("https://api.vadsro.eu/api/v1/customers?energy_id=1&page=1");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"access-token: *********************",
"token-type: Bearer",
"client: **********************",
"uid: api-user@example.com",
"Content-Type: application/json",
]);
$data = json_decode(curl_exec($ch), true);Odpoveď
json
{"data":[
{
"id":13,
"name":"Example National Sports Federation",
"subdivision_type_name":"Unit owner",
"inn":"1000000042",
"contact_number":"+49-30-5550100"
},
...,
{
"id":22,
"name":"Example Rail Infrastructure SE",
"subdivision_type_name":"Unit owner",
"inn":"1000000043",
"contact_number":"+49-30-5550102"
}
],
"total_pages":8,
"current_page":1,
"next_page":2
} Naposledy aktualizované
Bola táto stránka užitočná?
Ďakujeme za vašu spätnú väzbu!
Zoznam dodávateľov zdrojov
Späť
Meracie uzly
Ďalej